#ifndef DEQUE_HPP_INCLUDED
#define DEQUE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "Node.hpp"

namespace Internal
{
    class Deque : public Object
    {
        public:
            Deque(const void* Obj);

            Deque() = default;
            Deque(Deque&& Obj) = default;
            Deque(const Deque& Obj) = default;
            Deque& operator=(Deque&& Obj) = default;
            Deque& operator=(const Deque& Obj) = default;

            static Class GetClass();

            Node GetHead() const;
            Node GetTail() const;

    };
}

#endif // DEQUE_HPP_INCLUDED
